# DisposablePod class abstract interface

Interface to be implemented by pods that need to release resources or perform cleanup when being removed from the container or shut down.

Typically used to close file streams, database connections, or other disposable resources.

### Usage Example:

    class MyService implements DisposablePod {
      @override
      void onDestroy() {
        print('Cleaning up resources');
      }
    }

The container should call `onDestroy()` during shutdown or pod destruction phase.

Implemented types
  - PackageIdentifier

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

getPackageName() → String
  Represents an abstraction for identifying the package that an object, resource, or service belongs to.
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
onDestroy() → Future<void>
  Interface to be implemented by pods that need to release resources or perform cleanup when being removed from the container or shut down.
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited